<?php
$version = get_option('WP_auto_tag_version', '0.0.1');
if( version_compare($version, '0.0.2', '<') ) {
	$options = array(
		'last_share_time' => 0,
		'last_get_time' => 0
	);
	add_option('WP_auto_tag_options', $options, 'WP auto tag Options');
	update_option('WP_auto_tag_version', '0.0.2');
}

if( version_compare($version, '0.0.3', '<') ) {
	$options = get_option('WP_auto_tag_options');
	$options['autotag_link'] = 1;
	$options['autotag_link_maxtimes'] = 3;
	$options['autotag_link_addin'] = array(
		'home' => true,
		'single' => true,
		'archive' => true,
		'search' => false
	);
	update_option('WP_auto_tag_options', $options, 'WP auto tag Options');
	update_option('WP_auto_tag_version', '0.0.3');
}

if( version_compare($version, '0.0.4', '<') ) {
	$options = get_option('WP_auto_tag_options');
	$options['share_history'] = array();
	if( $options['last_share_time'] > 0 ) {
		$options['share_history'][] = array(
			'time' => $options['last_share_time'],
			'new_word' => 0,
			'old_word' => 0
		);
	}
	unset($options['last_share_time']);
	update_option('WP_auto_tag_options', $options, 'WP auto tag Options');
	update_option('WP_auto_tag_version', '0.0.4');
}

if( version_compare($version, '0.0.5.1', '<') ) {
	update_option('WP_auto_tag_version', '0.0.5.1');
}
?>